> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getunblocked.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collections

> List all collections.




## OpenAPI

````yaml https://getunblocked.com/api/v1/public-api.json get /collections
openapi: 3.0.3
info:
  contact:
    email: help@getunblocked.com
    name: Unblocked
  description: >
    The Unblocked Public API offers seamless collection for managing custom data
    sources through a structured set of endpoints.

    It allows users to create collections and organize and upload documents.


    # Base URL

    The base URL for all requests is:


    ```jsx

    https://getunblocked.com/api/v1

    ```


    # Authentication

    Authentication requires an API key, obtainable from the web dashboard,

    which must be included in the `Authorization` request header for all
    endpoints.


    ```bash

    curl -X GET https://getunblocked.com/api/v1/collections \
         -H "Authorization: Bearer YOUR_API_KEY"
    ```


    # Rate Limits & Quotas


    **Resource Limits:**

    - Collections: Maximum 25 per team

    - Request Size: Maximum 10MB per request

    - Pagination: 1-200 items per page (default: 25)


    **Answers API:**

    - Daily Limit: 1000 questions per day per organization

    - Quota Reset: Midnight PST

    - Exceeding the limit returns a 429 Too Many Requests error


    **Field Constraints:**

    - Collection name: 1-32 characters

    - Collection description: 1-4096 characters
  title: Unblocked Public API Reference
  version: v1
  x-logo:
    url: https://avatars.githubusercontent.com/u/91906527?s=300
    altText: Unblocked
servers:
  - url: https://getunblocked.com/api/v1
security:
  - ApiKeyBearerAuth: []
tags:
  - description: >
      A collection in Unblocked allows you to organize related documents from
      various data sources, such as customer support tools, knowledge bases, and
      internal wikis, which are not natively supported by Unblocked.


      You can create multiple collections to manage documents from different
      sources.


      You have the ability to list, create, update, and delete them as needed.


      Deleting a collection will also remove all the associated documents.
    name: Collections
  - description: >
      A document contains content that Unblocked uses to answer questions. Each
      document is associated with a collection, so you must create a collection
      before adding documents. Documents used to provide answers will appear as
      references in the Unblocked interface.


      You can create and delete documents as needed.
    name: Documents
  - description: >
      Ask Unblocked questions and retrieve answers asynchronously. Submit a
      question using the PUT endpoint and poll for the response using the GET
      endpoint.
    name: Answers
paths:
  /collections:
    get:
      tags:
        - Collections
      summary: List Collections
      description: |
        List all collections.
      operationId: listCollections
      parameters:
        - description: >
            Limit used to constrain results of list operations. When not
            specified a default limit of 25 is used.


            A maximum limit is applied to the results, so the server may respond
            with fewer results than requested; clients must not use this as a
            signal that this is the final page of results.
          in: query
          name: limit
          required: false
          schema:
            format: int32
            maximum: 200
            minimum: 1
            type: integer
        - in: query
          name: after
          required: false
          schema:
            $ref: '#/components/schemas/Cursor'
        - in: query
          name: before
          required: false
          schema:
            $ref: '#/components/schemas/Cursor'
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Collection'
                type: array
          description: OK
          headers:
            link:
              $ref: '#/components/headers/Link'
        '401':
          $ref: '#/components/responses/ErrorResponse'
        '500':
          $ref: '#/components/responses/ErrorResponse'
components:
  schemas:
    Cursor:
      description: >
        Opaque cursor to be used for paging in a forward or backward direction.
        Cursors are stateless and so they never expire.
      maxLength: 10000
      minLength: 1
      type: string
    Collection:
      properties:
        id:
          description: |
            The ID of the collection.
          format: uuid
          type: string
        name:
          description: |
            A brief identifier for the collection.
          example: Apollo
          type: string
        description:
          description: >
            A sentence defining the document type within this collection, aiding
            the language model in grasping the content's essence.
          example: >-
            Documents from the Apollo customer support tool including support
            responses.
          type: string
        iconUrl:
          description: >
            A URL of a square image used to visually represent document
            references from the collection in the Unblocked UI. Preferred image
            formats are SVG, PNG, and JPG.
          example: https://my.company.com/apollo/logo.svg
          type: string
      required:
        - id
      type: object
  headers:
    Link:
      description: |
        A link header providing navigation links related to the response.
      example: <https://api.example.com/some/resource>; rel="next"
      schema:
        type: string
  responses:
    ErrorResponse:
      content:
        application/json:
          schema:
            properties:
              status:
                description: The HTTP status code
                example: 400
                type: integer
            required:
              - status
            type: object
      description: Error response
  securitySchemes:
    ApiKeyBearerAuth:
      bearerFormat: Unblocked API Key
      description: The API key to authenticate requests. Obtainable from the web dashboard.
      scheme: bearer
      type: http

````